<?php   
if(get_theme_mod('service_area_disable') != 'on' ){ ?>
	<?php 
		if( get_theme_mod('service_areaTpadding',true) ) {
			$service_areaTpadding = 'padding-top:'.esc_attr(get_theme_mod('service_areaTpadding')).';';
		}
		if( get_theme_mod('service_areaBpadding',true) ) {
			$service_areaBpadding = 'padding-bottom:'.esc_attr(get_theme_mod('service_areaBpadding')).';';
		}
	?>	
	<div class="service-area" id="service" style="<?php echo esc_attr($service_areaTpadding); ?>" "<?php echo esc_attr($service_areaBpadding); ?>">
		<div class="service-single-area"> 
			<?php
			$services_page_id = get_theme_mod('services_page');	
			$services_maintitle = get_theme_mod('services_maintitle', 'What We Do');
			$services_subtitle = get_theme_mod('services_subtitle', 'HERE YOU CAN SEE AND ESTIMATE');
			?>
			 <div class="container"> 
				<div class="row justify-content-center">
					<?php if($services_maintitle || $services_subtitle) { ?>
					<div class="Heading-conn">
						<div class="section-title">
							<p><?php echo ($services_subtitle);  ?></p>
							<h2><?php echo ($services_maintitle);  ?></h2>
						</div>
					</div>
					<?php }?>
				</div>
			 </div> 
			<div class="container">
				<?php 
				$showStatic = true;
				$cols = get_theme_mod('service_npp_count', 5);
				$cols++;
				switch($cols){
					case 1:
					$colCls = 'col-md-12 col-sm-12 col-xs-12';
					break;
					case 2:	
					$colCls = 'col-md-6 col-sm-6 col-xs-6';
					break;
					case 3:
					case 5:
					case 6:
					case 9:
					case 11:
					case 13:
					case 15:
					$colCls = 'col-md-4 col-sm-6 col-xs-6';
					break;
					default: 
					$colCls = 'col-md-3 col-sm-6 col-xs-6';
					break;
				}
				for( $i = 1; $i <= $cols; $i++ ){
					$services_page_id = get_theme_mod('services_page'.$i); 
					$services_page_icon = get_theme_mod('services_page_icon'.$i);
					$services_page_icon1 = get_theme_mod('services_page_icon1'.$i);
					if($services_page_id){
						$showStatic = false;
						echo serviceShortCode($services_page_id, $isCustomizer=true, $i);
					}
				}
				if($showStatic === true){
					for( $i = 1; $i <= $cols; $i++ ){ ?>
						<div class="<?php echo $colCls;?> single-service-bx ">
							<div wwdo-match-height="groupName" class="single-service">	
								<div class="service-icon">
									<a href="#">
									<img class="img-responsive" src="<?php echo esc_url(get_template_directory_uri().'/images/what3.jpg');?>" alt="services" />
										<div class="ovrlyT"></div>
									</a>
								</div>
								<div class="service-title-box">
								  <a href="#">
									<h4 class="post-title inner-area-title ">Planing Structure</h4>
								  </a>
									<p class="post-text inner-area-text">Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has industrys.</p> 
									
									<?php
										$homepageservicesbutton = get_theme_mod('homepageservices_txt', 'Learn More'); 
									?>
									<?php if( get_theme_mod('services_button_display','show' ) == 'show') :
										?>
										<div class="readmore">	
											<div class="b-hv"></div>
											<a href="<?php echo esc_url(get_permalink()); ?>" class="more-button"><?php echo ($homepageservicesbutton );  ?><i class="fa fa-long-arrow-right"></i> </a>
									</div>
									<?php endif ?>
									<div class="clearfix"></div>
								</div>
							</div>
						</div>
						<?php 
					  }
					} ?>
				<div class="clearfix"></div>
			 </div> 
			<div class="clearfix"></div>
	 	</div>
		<div class="clearfix"></div>
	</div>
<script>
	var matchHeight = function () {
	
	function init() {
		eventListeners();
		matchHeight();
	}
	
	function eventListeners(){
		$(window).on('resize', function() {
			matchHeight();
		});
	}
	
	function matchHeight(){
		var groupName = $('[wwdo-match-height]');
		var groupHeights = [];
		
		groupName.css('min-height', 'auto');
		
		groupName.each(function() {
			groupHeights.push($(this).outerHeight());
		});
		
		var maxHeight = Math.max.apply(null, groupHeights);
		groupName.css('min-height', maxHeight);
	};
	
	return {
		init: init
	};
	
} ();

$(document).ready(function() {
	matchHeight.init();
});
</script>

<?php }